* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --bg-color: #ffffff;
    --text-color: #000000;
    --card-bg: #f0f0f0;
}

.darkmode {
    --bg-color: #121212;
    --text-color: #ffffff;
    --card-bg: #1e1e1e;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    font-family: "Poppins", sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    padding: 0.5rem;
}

/* Dark mode styling */
.switch-theme {
    width: 24px;
    height: 24px;
    background-image: url(./assets/dark-mode.svg);
    background-size: cover;
    background-repeat: no-repeat;
    cursor: pointer;
    border: none;
    outline: none;
    border-radius: 50%;
    background-color: var(--background-color);
    position: fixed;
    top: 20px;
    right: 20px;
}

/* Every content is in container except dark mode toggle */
.container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.quote-container {
    background: var(--card-bg);
    padding: 20px;
    max-width: 400px;
    text-align: center;
    min-height: 200px;
    min-width:  420px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 16px 16px 30px -4px rgba(0, 0, 0, 0.217);
}

.quote {
    font-style: italic;
    font-size: 16px;
}

.author {
    font-weight: bold;
    margin-top: 10px;
    border-bottom: 2px solid var(--text-color);
}

.buttons {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.btn {
    padding: 10px 12px;
    font-size: 1.2rem;
    border: none;
    cursor: pointer;
    transition: background 0.3s ease-in-out;
}

.share-btn {
    background: #007bff;
    color: #000000;
}

.export-btn {
    background: #28a745;
    color: #000000;
}

.new-quote-btn {
    background-color: orange;
    color: #000000;
}

.change-bg-color {
    background-color: #b892b8;
    color: #000000;
}

.btn:hover {
    opacity: 0.8;
}

.btn i {
    color: var(--text-color);
}


body.darkmode .btn {
    color: #151a1b;
}




/* Mdal styling  */
.share-modal {
    background:var(--card-bg);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 1px 4px 8px rgba(0, 0, 0, 0.488);
    width: 360px;
    height: 180px;
    text-align: center;
    position: relative;
    color: var(--text-color);
    position: absolute;
    transform: translate(0%, 0%);
    display: none;
}

.modal h3 {
    margin-bottom: 10px;
}

.icons {
    display: flex;
    justify-content: space-around;
    margin: 20px 0;
}

.icon {
    font-size: 1.5rem;
    text-decoration: none;
    color: var(--text-color);
    padding: 6px 8px;
    background-color: var(--bg-color);
    border-radius: 4px;
}


.link-container {
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
    padding: 5px;
    border-radius: 5px;
}

input {
    border: none;
    outline: none;
    width: 100%;
    background: transparent;
}

.copy-btn {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    color: var(--text-color);
}

.clipboard-container {
    color: var(--text-color);
    padding-right: 10px ;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    color: var(--text-color);
}

/* Dark Mode */
body.darkmode{
    background-color: #121212;
    color: #fff;
}

body.darkmode .modal {
    background: #1e1e1e;
    color: #fff;
}

body.darkmode .link-container {
    border-color: #555;
}



/* Codes for responsive design */

@media (max-width: 368px) {
    .container {
        padding: 0.5rem ;
    }
    .quote-container {
        min-height: 200px;
        min-width:  100%;
    }
    .btn {
        padding: 6px 8px;
    }
}
